Bug 13086 - "find ... -perm -4000" broken
"find ... -perm -4000" broken
Product: Red Hat Linux
Classification: Retired
Component: findutils (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-06-26 19:26 EDT by Chris Evans
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-26 19:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2000-06-26 19:26:37 EDT
See summary
Example: find /bin -perm -4000 returns totally incorrect results

Comments from Alan Cox:

find /bin -perm 4711 works
find /bin -perm +4000 works
find /bin -perm -4000 breaks

Comments from Jeremy Katz

Confirmed.  Looks like the findutils is pristine, so the bug probably
needs to be filed with bug-findutils@gnu.org as well
Comment 1 Jeremy Katz 2000-07-06 02:13:25 EDT
resolved by beta3's findutils-4.1.5-3

Note You need to log in before you can comment on or make changes to this bug.